
// Variables 
$screen-sm-min: 600px;  // Small tablets and large smartphones (landscape view)
$screen-md-min: 960px;  // Small tablets (portrait view)
$screen-lg-min: 1264px;  // Tablets and small desktops
$screen-xl-min: 1904px; // Large tablets and desktops

//xs devices
@mixin xs {
  @media (max-width: #{$screen-sm-min}){
    @content;
  }
  
}

// Small devices
@mixin sm {
  @media (min-width: #{$screen-sm-min}) {
      @content;
  }
}

// Medium devices
@mixin md {
  @media (min-width: #{$screen-md-min}) {
      @content;
  }
}

// Large devices
@mixin lg {
  @media (min-width: #{$screen-lg-min}) {
      @content;
  }
}

// Extra large devices
@mixin xl {
  @media (min-width: #{$screen-xl-min}) {
      @content;
  }
}